Package org.eclipse.ecf.core.util

# Class BundleClassResolver

java.lang.Object
org.eclipse.ecf.core.util.BundleClassResolver

All Implemented Interfaces:
  `IClassResolver`

public class BundleClassResolver extends Object implements IClassResolver

Since:
  3.7

## Field Summary

### Fields inherited from interface org.eclipse.ecf.core.util.IClassResolver

`BUNDLE_PROP_NAME`

## Constructor Summary

Constructors
Constructor
Description
`BundleClassResolver(Bundle b)`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`resolveClass(ObjectStreamClass desc)`
`protected void`
`verifyClass(ObjectStreamClass desc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleClassResolver

public BundleClassResolver(Bundle b)

## Method Details

### verifyClass

protected void verifyClass(ObjectStreamClass desc) throws ClassNotFoundException

Throws:
  `ClassNotFoundException`

### resolveClass

public Class<?> resolveClass(ObjectStreamClass desc) throws ClassNotFoundException

Specified by:
  `resolveClass` in interface `IClassResolver`
Throws:
  `ClassNotFoundException`